Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026024
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-03-17 17:372014-05-16 15:27
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchFixed in SCM revision420ae1c2ec4a
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026024: Shipment line creation can be wrong

DescriptionShipment line creation can be wrong
Steps To Reproduce-Create a layaway with some lines and differents quantities
-Load the layaway and pay it

It depends of the database the relation between shipment lines and orderlines can be wrong.
It can happens that order line 10 is with product X and qty Y is related with shipment line 50 product Z and qty Y.

It is necessary to create a module script creating a physical inventory to fix the stock.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0066556)
hgbot (developer)
2014-04-23 14:08

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Apr 23 14:08:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0 [^]

fixed issue 0026024: Shipment line creation can be wrong

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0066746)
hgbot (developer)
2014-05-01 17:44

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Apr 23 14:08:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0 [^]

fixed issue 0026024: Shipment line creation can be wrong

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0067223)
adrianromero (manager)
2014-05-16 15:27

Verified

- Issue History
Date Modified Username Field Change
2014-03-17 17:37 jecharri New Issue
2014-03-17 17:37 jecharri Assigned To => marvintm
2014-03-17 17:37 jecharri Triggers an Emergency Pack => No
2014-03-31 16:24 jonalegriaesarte Target Version RR14Q2 => RR14Q3
2014-04-23 14:08 hgbot Checkin
2014-04-23 14:08 hgbot Note Added: 0066556
2014-04-23 14:08 hgbot Status new => resolved
2014-04-23 14:08 hgbot Resolution open => fixed
2014-04-23 14:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0 [^]
2014-05-01 17:44 hgbot Checkin
2014-05-01 17:44 hgbot Note Added: 0066746
2014-05-01 17:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/420ae1c2ec4a403ad015b8a4b8b76b33ae78bed0 [^]
2014-05-16 15:27 adrianromero Review Assigned To => adrianromero
2014-05-16 15:27 adrianromero Note Added: 0067223
2014-05-16 15:27 adrianromero Status resolved => closed
2014-05-16 15:27 adrianromero Fixed in Version => RR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker